org.apache.ignite.internal.processors.platform.cache

## Class PlatformCachePartialUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.platform.PlatformException
        - - org.apache.ignite.internal.processors.platform.PlatformExtendedException
          - - org.apache.ignite.internal.processors.platform.cache.PlatformCachePartialUpdateException

All Implemented Interfaces:
  Serializable

    public class PlatformCachePartialUpdateException
    extends PlatformExtendedException

Interop cache partial update exception.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformExtendedException

`ctx`

### Constructor Summary

Constructors
Constructor and Description
`PlatformCachePartialUpdateException(CachePartialUpdateCheckedException cause, PlatformContext ctx, boolean keepBinary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeData(BinaryRawWriterEx writer)` Write data.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformExtendedException

`context`

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformException

`toString`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformCachePartialUpdateException

    public PlatformCachePartialUpdateException(CachePartialUpdateCheckedException cause,
                                               PlatformContext ctx,
                                               boolean keepBinary)

Constructor.

Parameters:
  `cause` - Root cause.
  `ctx` - Context.
  `keepBinary` - Keep binary flag.

### Method Detail

#### writeData

    public void writeData(BinaryRawWriterEx writer)

Write data.

Specified by:
  `writeData` in class `PlatformExtendedException`
Parameters:
  `writer` - Writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023